Bug 28753 - При перезагрузке выключается звук
: При перезагрузке выключается звук
Status: RESOLVED LATER
: Simply Linux
(All bugs in Simply Linux/packages)
: Не указана
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 27685
  Show dependency tree
 
Reported: 2013-03-26 17:10 by
Modified: 2018-05-29 00:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-03-26 17:10:57
Включаем звук и выставляем уровень громкости.
Перезагружаем.
Результат входа в сеанс: звук выключен (mute), уровень на 0.

При перезапуске сеанса всё остаётся, воспроизводится только при перезагрузке.
------- Comment #1 From 2013-03-26 17:17:06 -------
хлопаем дверью -- выскакивает стекло.
Где включаем ? Где выставляем ?
------- Comment #2 From 2013-03-26 17:20:32 -------
(В ответ на комментарий №1)
> Где включаем ? Где выставляем ?
В микшере: kmix или Audio Mixer.
------- Comment #3 From 2013-03-26 17:23:12 -------
уровни звука выставляются в программах, этот звук испускающих.
------- Comment #4 From 2013-03-26 17:24:47 -------
если же какой-то контрол в alsa постоянно мьютится -- нужны подробности
о звуковом железе.
------- Comment #5 From 2013-03-26 18:04:20 -------
(В ответ на комментарий №4)
> если же какой-то контрол в alsa постоянно мьютится -- нужны подробности
> о звуковом железе.
Штатный для VirtualBox:

00:05.0 Multimedia audio controller: Intel Corporation 82801AA AC'97 Audio
Controller (rev 01)
------- Comment #6 From 2013-03-30 10:18:22 -------
http://forum.altlinux.org/index.php/topic,28937.msg201874.html#msg201874
"3. Звук при первой загрузке включен, после каждой перезагрузки выкл."
------- Comment #7 From 2013-04-02 13:54:00 -------
Коллеги,
пожалуй, это самая утомившая пользователей бага. Очень нужны идеи.
Есть ли в у нас в обоих офисах железо, на котором это стабильно
воспроизводится?
Насколько я понимаю, на VB воспроизводится.
------- Comment #8 From 2013-04-02 14:45:52 -------
поясните, это относится только к kde4 или к любому DE ?
------- Comment #9 From 2013-04-02 15:07:00 -------
(В ответ на комментарий №6)
> http://forum.altlinux.org/index.php/topic,28937.msg201874.html#msg201874
Simply Linux 6.993.0 (20130328)
------- Comment #10 From 2013-04-02 15:28:31 -------
могу ли я попросить описывать симптомы здесь, а не посылать на третьи ресурсы ?
по крайней мере, не на требующие регистрации для того, чтобы хоть что-то там
увидеть ? спасибо.
------- Comment #11 From 2013-04-02 19:32:03 -------
(В ответ на комментарий №8)
> поясните, это относится только к kde4 или к любому DE ?
Centaurus в VirtualBox, MATE, systemd.
По умолчанию после загрузки звук приглушен в 0. По ПКМ в подменю отмечен пункт
"Приглушить". Если выбрать пункт "Параметры звука", появляется окно с
сообщением "Модули GStreamer и/или устройства регулировки громкости не
найдены".
------- Comment #12 From 2013-04-02 20:00:14 -------
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237
AC97 Audio Controller (rev 60)
00:04.0 Multimedia audio controller: NVIDIA Corporation CK804 AC'97 Audio
Controller (rev a2)

На обоих после перезагрузки ПК звук заглушен и в нуле.
Есть ещё какая-то NVIDIA, точно не скажу сейчас, но там такая же ситуация.
------- Comment #13 From 2013-04-02 20:44:16 -------
(В ответ на комментарий №12) 
А у вас галочка стоит на автозапуск  в разделе "сеансы и запуск" для
Pulseaudio? Это в Настройки---Диспетчер настроек----Сеансы-запуск.
------- Comment #14 From 2013-04-03 01:04:54 -------
Насколько я понимаю, речь в комментариях #6-#9 идёт о xfce и его микшере.
В нём нет и не было поддержки pulseaudio, рассчитывать на работу такой
связки нет причин.
------- Comment #15 From 2013-04-03 01:17:25 -------
(В ответ на комментарий №14)
> Насколько я понимаю, речь в комментариях #6-#9 идёт о xfce и его микшере.
> В нём нет и не было поддержки pulseaudio, рассчитывать на работу такой
> связки нет причин.
sem@?

А alsa-plugins-pulse не поможет в этом случае?
------- Comment #16 From 2013-04-03 01:20:53 -------
(In reply to comment #15)
> (В ответ на комментарий №14)
> > Насколько я понимаю, речь в комментариях #6-#9 идёт о xfce и его микшере.
> > В нём нет и не было поддержки pulseaudio, рассчитывать на работу такой
> > связки нет причин.
> sem@?
> 
> А alsa-plugins-pulse не поможет в этом случае?
нет, не поможет, для микшера это бессмысленно.
------- Comment #17 From 2013-04-03 01:30:37 -------
(В ответ на комментарий №16)
> (In reply to comment #15)
> > (В ответ на комментарий №14)
> > > Насколько я понимаю, речь в комментариях #6-#9 идёт о xfce и его микшере.
> > > В нём нет и не было поддержки pulseaudio, рассчитывать на работу такой
> > > связки нет причин.
> > sem@?
> > 
> > А alsa-plugins-pulse не поможет в этом случае?
> нет, не поможет, для микшера это бессмысленно.
Тогда ждем слова и решения RM Simply.
------- Comment #18 From 2013-04-03 15:05:55 -------
В xfce4-mixer проблемы возникают при выборе Alsa mixer в качестве устройства
вывода. Если выбирать PulseAudio mixer, то вроде все работает как надо.
Проблема в том, что при установке с livecd PulseAudio mixer'а нет в списке, при
этом в системе, установленной с install-dvd (обычный инсталлятор) он есть и все
работает. Почему так получается на livecd я пока не понял, я вообще не сказал
бы, что хорошо знаю эту кухню.
Но проблемы кажется были и с kmix, нет?
------- Comment #19 From 2013-04-03 15:35:37 -------
проблемы kmix, если таковые существуют, пусть будут обсуждаемы с майнтайнером
kmix.
------- Comment #20 From 2013-04-03 19:10:31 -------
JFI: xfce4-mixer использует gstreamer, на livecd просто не было
gst-plugins-good.
После его установки никаких проблем с использованием pulseaudio не вижу.
------- Comment #21 From 2013-04-03 19:14:50 -------
(В ответ на комментарий №20)
> JFI: xfce4-mixer использует gstreamer, на livecd просто не было
> gst-plugins-good.
Добавь в xfce4-regular?
------- Comment #22 From 2013-04-03 19:23:54 -------
если fixed, то переведите пожалуйста на пакет, где это fixed произошло.
------- Comment #23 From 2013-04-04 01:43:01 -------
(В ответ на комментарий №22)
> если fixed, то переведите пожалуйста на пакет, где это fixed произошло.

Перевел на Simply.
------- Comment #24 From 2013-05-17 12:03:47 -------
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio
Controller (rev 01)

Установил altlinux-6.995.0_beta20130513-simply-i586-install-dvd5.iso и всё
равно звук при каждой перезагрузке выключен и в нуле.
------- Comment #25 From 2013-05-17 12:07:45 -------
2cas, sem : прошу проверить. Пока переоткрываю.
------- Comment #26 From 2013-05-17 12:08:26 -------
(В ответ на комментарий №24)
> 00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio
> Controller (rev 01)
> 
> Установил altlinux-6.995.0_beta20130513-simply-i586-install-dvd5.iso и всё
> равно звук при каждой перезагрузке выключен и в нуле.

Есть ли в установленной системе пакет gst-plugins-good ?
------- Comment #27 From 2013-05-17 12:48:37 -------
(В ответ на комментарий №25)
> 2cas, sem : прошу проверить. Пока переоткрываю.
Подтверждаю. gst-plugins-* установлены.
------- Comment #28 From 2013-05-17 12:52:42 -------
(В ответ на комментарий №27)
> (В ответ на комментарий №25)
> > 2cas, sem : прошу проверить. Пока переоткрываю.
> Подтверждаю. gst-plugins-* установлены.

Это был вопрос к berkut_174 , так как мы не знаем, что было выбрано при
установке системы.
------- Comment #29 From 2013-05-17 12:53:42 -------
(В ответ на комментарий №28)
> (В ответ на комментарий №27)
> > (В ответ на комментарий №25)
> > > 2cas, sem : прошу проверить. Пока переоткрываю.
> > Подтверждаю. gst-plugins-* установлены.
> 
> Это был вопрос к berkut_174 , так как мы не знаем, что было выбрано при
> установке системы.

А вопрос к Вам и sem@ : выключается ли у вас звук при переагрузке...
------- Comment #30 From 2013-05-17 13:06:04 -------
(В ответ на комментарий №26)
> Есть ли в установленной системе пакет gst-plugins-good ?

Да, так точно. Выбирал полную установку (все галки выбрал).
------- Comment #31 From 2013-05-17 13:07:01 -------
$ rpm -qa gst-plugins-*
gst-plugins-gnonlin-0.10.16-alt1.qa1
gst-plugins-good-0.10.31-alt2
gst-plugins-bad-0.10.23-alt2
gst-plugins-ugly-0.10.19-alt1
gst-plugins-base-0.10.36-alt1
------- Comment #32 From 2013-05-18 04:57:19 -------
(В ответ на комментарий №24)
> 00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High Definition Audio
> Controller (rev 01)
> 
> Установил altlinux-6.995.0_beta20130513-simply-i586-install-dvd5.iso и всё
> равно звук при каждой перезагрузке выключен и в нуле.

Даже учитывая https://bugzilla.altlinux.org/show_bug.cgi?id=28753#c18 , то есть
при выборе pulseaudio в качестве устройства вывода?
------- Comment #33 From 2013-05-20 08:55:47 -------
(В ответ на комментарий №32)
> Даже учитывая https://bugzilla.altlinux.org/show_bug.cgi?id=28753#c18 , то есть
> при выборе pulseaudio в качестве устройства вывода?

Да, выбран PulseAudio в микшере.
------- Comment #34 From 2013-05-20 20:09:21 -------
Попробуйте запустить pavucontrol, закрыть его, а затем включить звук и
выставить громкость в xfce4-mixer. Сохраняется ли после перезагрузки?
------- Comment #35 From 2013-05-21 07:24:56 -------
(В ответ на комментарий №34)
> Попробуйте запустить pavucontrol, закрыть его, а затем включить звук и
> выставить громкость в xfce4-mixer. Сохраняется ли после перезагрузки?

Магические телодвижения... :)
Проделал в точности, как написали -- теперь звук восстанавливается.
------- Comment #36 From 2013-06-14 02:26:08 -------
Теперь  вряд ли кто поймает, если не будет искать специально.
Но это workaround. LATER.